> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/addresses.md).

# Addresses

## GET /addresses/

> Addresses list

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Addresses"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Addresses":{"properties":{"count":{"type":"integer"},"next":{"nullable":true,"type":"string"},"previous":{"nullable":true,"type":"string"},"results":{"items":{"$ref":"#/components/schemas/Address"},"type":"array"}},"type":"object"},"Address":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"original":{"description":"Dashdoc's internal id of the original address.","nullable":true,"readOnly":true,"type":"number"},"company":{"$ref":"#/components/schemas/Company"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"}}},"paths":{"/addresses/":{"get":{"operationId":"listAddresses","parameters":[{"description":"A page number within the paginated result set.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"in":"query","name":"is_carrier","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"is_shipper","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"is_origin","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"is_destination","required":false,"schema":{"type":"boolean"}},{"description":"Comma separated values","in":"query","name":"category__in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Addresses"}}},"description":"Get successful"}},"summary":"Addresses list","tags":["Addresses"]}}}}
````

## Create an address

> Add the address to the requester's company contact book. The address belongs to a company that already exists or is created in the same time.

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Addresses"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"NewAddress":{"properties":{"name":{"description":"Label for this address","maxLength":200,"type":"string"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"address":{"description":"Address not mandatory but strongly advised to fill","maxLength":200,"type":"string"},"city":{"maxLength":100,"type":"string"},"postcode":{"maxLength":100,"type":"string"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2). Country not mandatory but strongly advised to fill","type":"string"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"$ref":"#/components/schemas/address_is_carrier_and_is_shipper_for_writes"},"is_shipper":{"$ref":"#/components/schemas/address_is_carrier_and_is_shipper_for_writes"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"company":{"$ref":"#/components/schemas/CompanyForNewAddress"}},"required":["city","company","postcode"],"type":"object"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_carrier_and_is_shipper_for_writes":{"description":"Controls the associated company's role (see `company` in same payload). For new companies ONLY. The value is ignored for existing companies.\nIt is encouraged to use the company create/update endpoints directly instead.\n","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"CompanyForNewAddress":{"description":"Identification of the company for which the address is created. You may simply use its `pk` or `remote_id` if the company already exists. Other possible identification method are its `trade_number` or `name`. If it doesn't exist, the company will be created with the information you send based on what's possible when creating a company via /companies/ web service. Minimum required information in this case is a name (e.g. for a logistic point).","properties":{"pk":{"description":"Dashdoc's internal id.Optional, not required if `remote_id` is sent.","type":"number"},"remote_id":{"description":"The id of the company in your system. Optional, ignored if `pk` is sent.","type":"string"},"trade_number":{"maxLength":100,"type":"string"},"name":{"maxLength":200,"type":"string"}},"type":"object"},"Address":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"original":{"description":"Dashdoc's internal id of the original address.","nullable":true,"readOnly":true,"type":"number"},"company":{"$ref":"#/components/schemas/Company"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"}}},"paths":{"/addresses/":{"post":{"description":"Add the address to the requester's company contact book. The address belongs to a company that already exists or is created in the same time.","operationId":"createAddresses","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewAddress"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Address"}}},"description":"Create successful"}},"summary":"Create an address","tags":["Addresses"]}}}}
````

## GET /addresses/{pk\_or\_remote\_id}/

> Read an address

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Addresses"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Address":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"original":{"description":"Dashdoc's internal id of the original address.","nullable":true,"readOnly":true,"type":"number"},"company":{"$ref":"#/components/schemas/Company"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"}}},"paths":{"/addresses/{pk_or_remote_id}/":{"get":{"operationId":"readAddresses","parameters":[{"description":"Dashdoc `pk` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"pk_or_remote_id","required":true,"schema":{"oneOf":[{"title":"pk","type":"integer"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Address"}}},"description":"Get successful"}},"summary":"Read an address","tags":["Addresses"]}}}}
````

## DELETE /addresses/{pk\_or\_remote\_id}/

> Delete an address

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Addresses"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}}},"paths":{"/addresses/{pk_or_remote_id}/":{"delete":{"operationId":"deleteAddresses","parameters":[{"description":"Dashdoc `pk` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"pk_or_remote_id","required":true,"schema":{"oneOf":[{"title":"pk","type":"integer"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"responses":{"204":{"description":"Empty body"}},"summary":"Delete an address","tags":["Addresses"]}}}}
````

## PATCH /addresses/{pk\_or\_remote\_id}/

> Partially update an address

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Addresses"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"UpdateAddress":{"properties":{"name":{"description":"Label for this address","maxLength":200,"type":"string"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"address":{"maxLength":200,"type":"string"},"city":{"maxLength":100,"type":"string"},"postcode":{"maxLength":100,"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"$ref":"#/components/schemas/address_is_carrier_and_is_shipper_for_writes"},"is_shipper":{"$ref":"#/components/schemas/address_is_carrier_and_is_shipper_for_writes"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"company":{"$ref":"#/components/schemas/CompanyForUpdateAddress"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_carrier_and_is_shipper_for_writes":{"description":"Controls the associated company's role (see `company` in same payload). For new companies ONLY. The value is ignored for existing companies.\nIt is encouraged to use the company create/update endpoints directly instead.\n","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"CompanyForUpdateAddress":{"description":"Identification of the company that the address belongs to. You may simply use its `pk` or `remote_id`, or just a name (e.g. for a logistic point that has no other company detail in your address book).","properties":{"pk":{"description":"Dashdoc's internal id.Optional, not required if `remote_id` is sent.","type":"number"},"remote_id":{"description":"The id of the company in your system. Optional, ignored if `pk` is sent.","type":"string"},"name":{"maxLength":200,"type":"string"}},"type":"object"},"Address":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"original":{"description":"Dashdoc's internal id of the original address.","nullable":true,"readOnly":true,"type":"number"},"company":{"$ref":"#/components/schemas/Company"}},"type":"object"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"}}},"paths":{"/addresses/{pk_or_remote_id}/":{"patch":{"operationId":"partialAddresses","parameters":[{"description":"Dashdoc `pk` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"pk_or_remote_id","required":true,"schema":{"oneOf":[{"title":"pk","type":"integer"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAddress"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Address"}}},"description":"Update successful"}},"summary":"Partially update an address","tags":["Addresses"]}}}}
````
